Package twisted :: Package names :: Module hosts :: Class Resolver

[frames | no frames]

## Class Resolver

A resolver that services hosts(5) format files.

Method Summary
| `__init__(self, file, ttl)`
| `_lookup(self, name, cls, type, timeout)`
| `lookupAddress(self, name, timeout)`
| `lookupAllRecords(self, name, timeout)`
| `query(self, query, timeout)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IRe...`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.IResolverSimple at 0x8276754>,)

Generated by Epydoc 2.0 on Wed Feb 25 07:37:02 2004 | http://epydoc.sf.net